************************************************************************
* File: temperat.for
************************************************************************
* Scopo: if-then-else in cascata
************************************************************************

      PROGRAM temp
* Legge un valore reale che rappresenta una temperatura e stampa un
* messaggio corrispondente

* Istruzioni dichiarative
      IMPLICIT NONE

*   Dichiarazioni variabili
      REAL temperatura

* Istruzioni esecutive
      WRITE (*,*) 'Inserisci valore temperatura'
      READ (*,*) temperatura
      IF (temperatura .GT. 30) THEN
        WRITE (*,*) 'molto caldo'
      ELSE IF (temperatura .GT. 20) THEN
        WRITE (*,*) 'abbastanza caldo'
      ELSE IF (temperatura .GT. 10) THEN
        WRITE (*,*) 'gradevole'
      ELSE IF (temperatura .GT. 0) THEN
        WRITE (*,*) 'freddo'
      ELSE
        WRITE (*,*) 'molto freddo'
      ENDIF
* NOTA: c'e` un solo ENDIF perche` sono stati usati ELSE IF
      STOP

      END
